FastArray (Groovy 2.5.0)
Date: 2018-05-27

org.codehaus.groovy.util

## Class FastArray

- java.lang.Object
- - org.codehaus.groovy.util.FastArray

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class FastArray
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FastArray` | `EMPTY_LIST`
    `int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastArray()`
    `FastArray(java.util.Collection c)`
    `FastArray(int initialCapacity)`
    `FastArray(java.lang.Object[] objects)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object o)`
    `void` | `addAll(FastArray newData)`
    `void` | `addAll(java.util.List coll)`
    `void` | `addAll(java.lang.Object[] newData, int size)`
    `void` | `clear()`
    `FastArray` | `copy()`
    `java.lang.Object` | `get(int index)`
    `java.lang.Object[]` | `getArray()`
    `boolean` | `isEmpty()`
    `void` | `remove(int index)`
    `void` | `set(int index, java.lang.Object o)`
    `int` | `size()`
    `java.util.List` | `toList()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### size

          public int size

    - #### EMPTY_LIST

          public static final FastArray EMPTY_LIST

  - ### Constructor Detail

    - #### FastArray

          public FastArray(int initialCapacity)

    - #### FastArray

          public FastArray()

    - #### FastArray

          public FastArray(java.util.Collection c)

    - #### FastArray

          public FastArray(java.lang.Object[] objects)

  - ### Method Detail

    - #### get

          public java.lang.Object get(int index)

    - #### add

          public void add(java.lang.Object o)

    - #### set

          public void set(int index,
                          java.lang.Object o)

    - #### size

          public int size()

    - #### clear

          public void clear()

    - #### addAll

          public void addAll(FastArray newData)

    - #### addAll

          public void addAll(java.lang.Object[] newData,
                             int size)

    - #### copy

          public FastArray copy()

    - #### isEmpty

          public boolean isEmpty()

    - #### addAll

          public void addAll(java.util.List coll)

    - #### remove

          public void remove(int index)

    - #### toList

          public java.util.List toList()

    - #### getArray

          public java.lang.Object[] getArray()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`